> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ShadowSelection

> Universal shadow selection dispatcher - Retrieve the contactId and/or personId of all contact/person shadow members of any selection

## "ShadowSelection"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.ShadowSelectionProvider">SuperOffice.CRM.ArchiveLists.ShadowSelectionProvider</see> inside NetServer's SODatabase assembly.

Universal shadow selection dispatcher: Retrieve the contactId and/or personId of all contact/person shadow members of any selection

This class abstracts the differences between the various selection kinds (contact, sale, ...) with regard to contact and
person id. You can give any selectionId to this provider, and it will reply with a list of contact and person ids; either
pulled from the actual selection (if it's a contact selection) or its shadow.

Only the two ID columns are available. The row type is fixed (contact or person), and the column names are also fixed.

## Supported Entities

| Name      | Description |
| --------- | ----------- |
| "contact" | Contact     |
| "person"  | Person      |

## Supported Columns

| Name        | Restriction | Description                      | OrderBy |
| ----------- | ----------- | -------------------------------- | ------- |
| contactId   | *None*      | Contact ID: Contact (company) ID |         |
| personId    | *None*      | Person ID: Person ID             |         |
| selectionId | int         | Selection ID: Selection ID       |         |

## Sample

```http! theme={null}
GET /api/v1/archive/ShadowSelection?$select=
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [Create Contact Selection From Shadow Selection](/en/api/reference/restful/agent/selection_agent/create-contact-selection-from-shadow-selection.md)
- [SaleShadowSelection](/en/api/archive-providers/reference/saleshadowselection.md)
- [ProjectShadowSelection](/en/api/archive-providers/reference/projectshadowselection.md)
- [DocumentShadowSelection](/en/api/archive-providers/reference/documentshadowselection.md)
- [TicketShadowSelection](/en/api/archive-providers/reference/ticketshadowselection.md)
- [AppointmentShadowSelection](/en/api/archive-providers/reference/appointmentshadowselection.md)
